Subject: [bug#73403] [PATCH] update xdg-desktop-portal from 1.16.0 to 1.18.4

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 27 Sep 2024 09:41:16 +0900

Hello,

Ada Stevenson <[email-masked]> writes:

> Hi all,
>
>
>> Hello,
>>
>> xdg-desktop-portal is now at version 1.18.4 on the main branch, since
>> commit 1b4304ea29296e25026361ecf19226cf2f554836 (applied now).
>>
>
>> Closing.
>
> This patch breaks theming on the GNOME desktop, with some apps such as
> dino and the file manager using the light theme instead of the dark
> theme. Rolling back before this patch was applied fixes the issue. I
> haven't looked into why this is happening, but perhaps it is a good
> idea to revert this commit until a solution can be found.

Thanks for the prompt heads-up.  I've reverted that commit, made a -next
variant in

--8<---------------cut here---------------start------------->8---
64e1ae00e7 gnu: Add xdg-desktop-portal-next.
--8<---------------cut here---------------end--------------->8---

instead, and used that to fix the telegram-desktop build in a4ea332bc2.

Sorry for the breakage!

-- 
Thanks,
Maxim